﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Дол_Восток
{
    public partial class changeOtryad : Form
    {
        SqlCommand query = null;

        public changeOtryad()
        {
            InitializeComponent();
        }

        private void changeOtryad_Load(object sender, EventArgs e)
        {
            try
            {
                query = new SqlCommand($"select surname + ' ' + [name] + ' ' + patronymic from sotrudnic", db_helper.sqlConnection);
                SqlDataReader reader = query.ExecuteReader();
                while (reader.Read())
                {
                    cb_sotrudnic.Items.Add(reader.GetString(0));
                }
                reader.Close();

                query = new SqlCommand($"select korpus from korpus", db_helper.sqlConnection);
                reader = query.ExecuteReader();
                while (reader.Read())
                {
                    cb_korpus.Items.Add(reader.GetString(0));
                }
                reader.Close();

                query = new SqlCommand($"select surname + ' ' + [name] + ' ' + patronymic from sotrudnic join otryad on sotrudnic.kod_sotrudnic = otryad.kod_sotrudnic where kod_otryad like '{changeChild.row}'", db_helper.sqlConnection);
                cb_sotrudnic.SelectedItem = query.ExecuteScalar().ToString();

                query = new SqlCommand($"select kol_vo_children from otryad where kod_otryad like '{changeChild.row}'", db_helper.sqlConnection);
                nud_kolChildren.Value = Convert.ToInt32(query.ExecuteScalar());

                query = new SqlCommand($"select korpus from otryad join korpus on korpus.kod_korpus = otryad.kod_korpus where kod_otryad like '{changeChild.row}'", db_helper.sqlConnection);
                cb_korpus.SelectedItem = query.ExecuteScalar().ToString();
            }
            catch
            {
                MessageBox.Show("Произошла непредвиденная ошибка!", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void bt_add_Click(object sender, EventArgs e)
        {
            try
            {
                query = new SqlCommand($"select count(*) from children where kod_otryada like '{changeChild.row}'", db_helper.sqlConnection);
                int amount = Convert.ToInt32(query.ExecuteScalar());
                int totalAmount = Convert.ToInt32(nud_kolChildren.Value);
                if (amount > totalAmount)
                {
                    MessageBox.Show("Невозможно изменить, так как в отряде уже находится больше детей, чем заново указанное значение", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
                else
                {
                    query = new SqlCommand($"select sotrudnic.kod_sotrudnic from sotrudnic join otryad on otryad.kod_sotrudnic = sotrudnic.kod_sotrudnic where (surname + ' ' + [name] + ' ' + patronymic) like '{cb_sotrudnic.SelectedItem}'", db_helper.sqlConnection);
                    string kodSotrudnic = query.ExecuteScalar().ToString();
                    query = new SqlCommand($"select korpus.kod_korpus from korpus join otryad on otryad.kod_korpus = korpus.kod_korpus where korpus like '{cb_korpus.SelectedItem}'", db_helper.sqlConnection);
                    string kodKorpus = query.ExecuteScalar().ToString();
                    query = new SqlCommand($"update otryad set kod_sotrudnic = @kod_sotrudnic, kol_vo_children = @kol_vo_children, kod_korpus = @kod_korpus where kod_otryad like '{changeChild.row}'", db_helper.sqlConnection);
                    query.Parameters.AddWithValue("kod_sotrudnic", kodSotrudnic);
                    query.Parameters.AddWithValue("kol_vo_children", nud_kolChildren.Value);
                    query.Parameters.AddWithValue("kod_korpus", kodKorpus);
                    if (query.ExecuteNonQuery().ToString().Equals("1"))
                    {
                        MessageBox.Show("Изменение прошло успешно!", "Уведмоление", MessageBoxButtons.OK, MessageBoxIcon.Information);
                        this.Close();
                    }
                }
            }
            catch
            {
                MessageBox.Show("Произошла непредвиденная ошибка!", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
    }
}
