﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Дол_Восток
{
    public partial class GLavn : Form
    {
        string queryText = null;
        SqlCommand query = null;
        static public string row = null;

        public GLavn()
        {
            InitializeComponent();
        }

        private void GLavn_Load(object sender, EventArgs e)
        {
            try
            {
                queryText = $"select kod_sotrudnic as '№', surname as 'Фамилия', name as 'Имя', patronymic as 'Отчество', dolgnost as 'Должность' from Sotrudnic join dolgnost on dolgnost.kod_dolgnost = sotrudnic.kod_dolgnost";
                dataAdapter = new SqlDataAdapter($"select kod_sotrudnic as '№', surname as 'Фамилия', name as 'Имя', patronymic as 'Отчество', dolgnost as 'Должность' from Sotrudnic join dolgnost on dolgnost.kod_dolgnost = sotrudnic.kod_dolgnost", db_helper.sqlConnection);
                dataSet = new DataSet();
                dataAdapter.Fill(dataSet);
                Sotrudnici.DataSource = dataSet.Tables[0];
            }
            catch
            {
                MessageBox.Show("Произошла непредвиденная ошибка!", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void GLavn_FormClosing(object sender, FormClosingEventArgs e)
        {
            Application.Exit();
        }

        private void splitContainer1_Panel2_Paint(object sender, PaintEventArgs e)
        {

        }

        private void bt_add_Click(object sender, EventArgs e)
        {
            try
            {
                addSotrudnic add = new addSotrudnic();
                add.Show();

                add.FormClosing += (obj, args) =>
                {
                    dataAdapter = new SqlDataAdapter(queryText, db_helper.sqlConnection);
                    dataSet = new DataSet();
                    dataAdapter.Fill(dataSet);
                    Sotrudnici.DataSource = dataSet.Tables[0];
                };
            }
            catch
            {
                MessageBox.Show("Произошла непредвиденная ошибка!", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void bt_delete_Click(object sender, EventArgs e)
        {
            try
            {
                var res = MessageBox.Show("Вы уверены что хотите удалить выбранную запись и все связанные с ней данные?", "Подтверждение", MessageBoxButtons.YesNo, MessageBoxIcon.Warning);
                if (res == DialogResult.Yes)
                {
                    row = Sotrudnici.Rows[Sotrudnici.CurrentCell.RowIndex].Cells[0].Value.ToString();
                    query = new SqlCommand($"select kod_passport from sotrudnic where kod_sotrudnic like '{row}'", db_helper.sqlConnection);
                    string kodPassport = query.ExecuteScalar().ToString();
                    query = new SqlCommand($"select kod_experience from sotrudnic where kod_sotrudnic like '{row}'", db_helper.sqlConnection);
                    string kodExperience = query.ExecuteScalar().ToString();
                    query = new SqlCommand($"delete from sotrudnic where kod_sotrudnic like '{row}'", db_helper.sqlConnection);
                    query.ExecuteNonQuery();
                    query = new SqlCommand($"delete from passport where kod_passport like '{kodPassport}'", db_helper.sqlConnection);
                    query.ExecuteNonQuery();
                    query = new SqlCommand($"delete from experience where kod_experince like '{kodExperience}'", db_helper.sqlConnection);
                    query.ExecuteNonQuery();

                    dataAdapter = new SqlDataAdapter($"select kod_sotrudnic as '№', surname as 'Фамилия', name as 'Имя', patronymic as 'Отчество', dolgnost as 'Должность' from Sotrudnic join dolgnost on dolgnost.kod_dolgnost = sotrudnic.kod_dolgnost", db_helper.sqlConnection);
                    dataSet = new DataSet();
                    dataAdapter.Fill(dataSet);
                    Sotrudnici.DataSource = dataSet.Tables[0];
                }
                else
                {
                    MessageBox.Show("Действие отменено!", "Уведомление", MessageBoxButtons.OK, MessageBoxIcon.Information);
                }
            }
            catch
            {
                MessageBox.Show("Произошла непредвиденная ошибка!", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void bt_change_Click(object sender, EventArgs e)
        {
            try
            {
                row = Sotrudnici.Rows[Sotrudnici.CurrentCell.RowIndex].Cells[0].Value.ToString();
                changeSotrudnic change = new changeSotrudnic();
                change.Show();

                change.FormClosing += (obj, args) =>
                {
                    dataAdapter = new SqlDataAdapter(queryText, db_helper.sqlConnection);
                    dataSet = new DataSet();
                    dataAdapter.Fill(dataSet);
                    Sotrudnici.DataSource = dataSet.Tables[0];
                };
            }
            catch
            {
                MessageBox.Show("Произошла непредвиденная ошибка!", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        SqlDataAdapter dataAdapter = null;
        DataSet dataSet = null;

        private void tabControl1_SelectedIndexChanged(object sender, EventArgs e)
        {
            try
            {
                switch (tabControl1.SelectedIndex)
                {
                    case 0:
                        queryText = $"select kod_sotrudnic as '№', surname as 'Фамилия', name as 'Имя', patronymic as 'Отчество', dolgnost as 'Должность' from Sotrudnic join dolgnost on dolgnost.kod_dolgnost = sotrudnic.kod_dolgnost";

                        dataAdapter = new SqlDataAdapter(queryText, db_helper.sqlConnection);
                        dataSet = new DataSet();
                        dataAdapter.Fill(dataSet);
                        Sotrudnici.DataSource = dataSet.Tables[0];
                        break;
                    case 1:
                        queryText = $"select kod_children as '№', surname as 'Фамилия', [name] as 'Имя', patronymic as 'Отчество', kod_otryada as 'Отряд' from children";

                        dataAdapter = new SqlDataAdapter(queryText, db_helper.sqlConnection);
                        dataSet = new DataSet();
                        dataAdapter.Fill(dataSet);
                        Children.DataSource = dataSet.Tables[0];
                        break;
                }
            }
            catch
            {
                MessageBox.Show("Произошла непредвиденная ошибка!", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void bt_addChild_Click(object sender, EventArgs e)
        {
            try
            {
                addChild add = new addChild();
                add.Show();

                add.FormClosing += (obj, args) =>
                {
                    dataAdapter = new SqlDataAdapter(queryText, db_helper.sqlConnection);
                    dataSet = new DataSet();
                    dataAdapter.Fill(dataSet);
                    Children.DataSource = dataSet.Tables[0];
                };
            }
            catch
            {
                MessageBox.Show("Произошла непредвиденная ошибка!", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void bt_deleteChild_Click(object sender, EventArgs e)
        {
            try
            {
                var res = MessageBox.Show("Вы уверены что хотите удалить выбранную запись и все связанные с ней данные?", "Подтверждение", MessageBoxButtons.YesNo, MessageBoxIcon.Warning);
                if (res == DialogResult.Yes)
                {
                    row = Children.Rows[Children.CurrentCell.RowIndex].Cells[0].Value.ToString();

                    query = new SqlCommand($"delete from children where kod_children like '{row}'", db_helper.sqlConnection);
                    query.ExecuteNonQuery();

                    query = new SqlCommand($"delete from document where kod_document like (select kod_document from children where kod_children like '{row}')", db_helper.sqlConnection);
                    query.ExecuteScalar();

                    dataAdapter = new SqlDataAdapter(queryText, db_helper.sqlConnection);
                    dataSet = new DataSet();
                    dataAdapter.Fill(dataSet);
                    Children.DataSource = dataSet.Tables[0];
                }
                else
                {
                    MessageBox.Show("Действие отменено!", "Уведомление", MessageBoxButtons.OK, MessageBoxIcon.Information);
                }
            }
            catch
            {
                MessageBox.Show("Произошла непредвиденная ошибка!", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void bt_changeChild_Click(object sender, EventArgs e)
        {
            try
            {
                row = Children.Rows[Children.CurrentCell.RowIndex].Cells[0].Value.ToString();
                changeChild change = new changeChild();
                change.Show();

                change.FormClosing += (obj, args) =>
                {
                    dataAdapter = new SqlDataAdapter(queryText, db_helper.sqlConnection);
                    dataSet = new DataSet();
                    dataAdapter.Fill(dataSet);
                    Children.DataSource = dataSet.Tables[0];
                };
            }
            catch
            {
                MessageBox.Show("Произошла непредвиденная ошибка!", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
    }
}
